﻿//下面的函数需要引用coredova 联系人插件
//查询联系人
//这里将联系人资料保存在js全局对象 ArrContacts中
var ArrContacts = null;//全局联系人变量
var ArrGroups = null; //全局分组变量
var ArrGroupList = null //全局联系人分组缓存
//新增系统变量，指示当前系统是iOS 还是 Android
var HFY_SYS_TYPE = "Android"; //兼容
var SORTKEYS = ""; //排序值

//查找联系人,将结束保存到全局变量中
function findContacts(func) {
    var contactsCount = 0; //联系人总人数
        //2018.5.21修改,
        var options = new ContactFindOptions();
        var username = "";
        var tel = "";

        options.filter = "";
        options.multiple = true;
        options.hasPhoneNumber = true;
        var fields = ["*"];
        options.desiredFields = [navigator.contacts.fieldType.id, navigator.contacts.fieldType.name, navigator.contacts.fieldType.phoneNumbers];
        navigator.contacts.find(fields, contactfindSuccess, contactfindError);

        function contactfindSuccess(contacts) {
            contactsCount = contacts.length;
            var li = "";
            var username = ""; //联系人名称
            var name1 = "", name2 = "";
            var tel; //联系人电话
            var id; //联系人的id号
            var objPhoneNumbers = {};
            ArrContacts = {};
            for (var i = 0; i < contacts.length; i++) {
                if (DEVICE != "iOS") {
                    username = contacts[i].displayName;
                } else {
                    name1 = contacts[i].name.familyName;
                    name2 = contacts[i].name.givenName;
                    if (!name1) name1 = "";
                    if (!name2) name2 = "";
                    username = name1 + name2;
                }
                objPhoneNumbers = contacts[i].phoneNumbers;
                if (!objPhoneNumbers) continue; //如果没有电话号码,则退出

                tel = contacts[i].phoneNumbers[0].value;
                if (!tel) continue; //如果没有电话号码,则退出
                if (!username) { //如果没有名字，则默认用电话号码
                    username = tel;
                }
                id = contacts[i].id;
                username = username.replace(/[\"\'\\\/\b\f\n\r\t,;]/g, ""); //过滤特殊字符
                ArrContacts["id" + id] = username + "," + tel + "," + id;
            }

            //这里生成全局缓存
            localStorage.Contacts = JSON.stringify(ArrContacts);
            JsonArry(ArrContacts); //执行重新处理数据，2019.8.21新增
        if (func) func();
    }
    function contactfindError(message) {
        //alert("查找出错:" + message);
    }
};

//=============显示联系人列表(开始)=======
//从全局缓存中得到联系人数据(转换为带索引的数组)
function GetCache_Contacts() {
    if (!ArrContacts) {
        if (localStorage.Contacts) {
            ArrContacts = JSON.parse(localStorage.Contacts);
        }
    }
}

//设置联系人数据的全局缓存
function SetCache_Contcats() {
    localStorage.Contacts = JSON.parse(ArrContacts);
}

//显示某个分组的所有联系人
function ShowContacts2(groupName, objId) {
    var html="", li="";
    var username, tel,id;
    var contacts2 = "", arrTmp;
    var spanId = "";
    var elm = document.getElementById(objId);
    var arrContacts = [];//当前分组的数据

    localInit();
    //1,得到当前分组的所有联系人id
    if (groupName && ArrGroupList.length > 0) {
        var index = ArrGroups.indexOf(groupName);
        if (index !== -1) {
            var contacts = ArrGroupList[index].toString(); //得到分组数据
            if (contacts) {
                var arrContactsOne = contacts.split(",");
                    for (var i = 0; i < arrContactsOne.length; i++) {
                        //通过id匹配到缓存数据值
                        contacts2 = ArrContacts["id"+arrContactsOne[i]];
                        if (!contacts2) continue; //没有匹配到值
                        else {
                            arrTmp = contacts2.split(",");
                        }
                        username = arrTmp[0];
                        tel = arrTmp[1];
                        id = arrTmp[2];
                        spanId = "span" + id;
                        li = '<li><span class="spanUsername">' + username + '</span> <span class="spanTel">' +
                            tel + '</span><span class="spanCheck"><input type="checkbox"  data_username="' + username +
                            '" data_tel="' + tel + '" data_id="' + id + '" /></span></li>';

                        html += li;
                }
                    if (elm) {
                        elm.innerHTML = html;
                    }
                } else { elm.innerHTML = ""; }
        }
    }
}

//显示某个分组的所有联系人
function ShowContacts(groupName, objId) {
    var html = "", li = "";
    var username, tel, id;
    var contacts2 = "", arrTmp;
    var spanId = "";
    var elm = document.getElementById(objId);
    var arr = [];//当前分组的数据

    localInit();
    //1,得到当前分组的所有联系人ids
    if (groupName && ArrGroupList.length > 0) {
        var index = ArrGroups.indexOf(groupName);
        if (index !== -1) {
            var contacts = ArrGroupList[index].toString(); //得到分组数据
            if (contacts) {
                var arrContactsOne = contacts.split(",");
                for (var i = 0; i < arrContactsOne.length; i++) {
                    //通过id匹配到缓存数据值
                    contacts2 = ArrContacts["id" + arrContactsOne[i]];
                    if (!contacts2) continue; //没有匹配到值
                    else {
                        arr["id" + arrContactsOne[i]] = contacts2; //添加数据到临时数组
                    }
                }
            } 
        }
        ShowList(arr, "list");
    }
}

//得到某个分组的数量(2017.8.30新增)
function GroupCount(groupName) {
    var count = 0;
    localInit();
    if (groupName && ArrGroupList.length > 0) {
        var index = ArrGroups.indexOf(groupName);
        if (index !== -1) {
            var contacts = ArrGroupList[index].toString(); //得到分组数据
            if (contacts) {
                var arrContactsOne = contacts.split(",");
                count = arrContactsOne.length;
            }
        }
    }
    return count;
}

//得到未分组的所有联系人
function GroupCountOther() {
    var count = 0;
    var arrList = JSON.parse(localStorage.groupList); //联系人分组数据
    var contacts = ""; //所有已分组联系人（字符串)
    var arrGrouped; //所有已分组联系人的ID(数组)
    if (!ArrContacts) {
        return 0;
    }
    if (!localStorage.groupList) { return 0; }
    if (arrList && arrList.length > 0) { //当有分组时
        for (var i = 0; i < arrList.length; i++) {
            if (arrList[i]) {
                contacts += arrList[i] + ",";
            }
        }
        contacts = contacts.trimEnd(',');
        if (contacts) {
            arrGrouped = contacts.split(',');
            //复制一个临时数组
            var tmpArrContacts = JSON.parse(localStorage.Contacts);
            if (arrGrouped.length > 0) {
                for (var n = 0; n < arrGrouped.length; n++) {
                    //删除已分组的联系人(设为空)
                    tmpArrContacts["id"+arrGrouped[n]] = "";
                }
                for (var prop in tmpArrContacts) {
                    if (tmpArrContacts[prop]) {
                        count++;
                    }
                }
            }
        } else { count = getContactsCount();}
    } else {
        count = getContactsCount();
    }
    return count;
}

//得到当前所有联系人的数量
function getContactsCount() {
    var count = 0;
    for (var obj in ArrContacts) {
        if (ArrContacts[obj]) count++;
    }
    return count;
}

function ShowOtherContacts() {
    var arrList = JSON.parse(localStorage.groupList); //联系人分组数据
    var contacts = ""; //所有已分组联系人（字符串)
    var arrGrouped; //所有已分组联系人的ID(数组)
    var contact;
    var tmpArr; //临时数组

    GetCache_Contacts();
    if (!ArrContacts || ArrContacts.length <= 0) {
        return;
    }
    if (!localStorage.groupList) { alert2("当前没有任何分组数据"); return; }

    if (arrList !== null && arrList.length > 0) { //当有分组时
        for (var i = 0; i < arrList.length; i++) {
            if (arrList[i] !== '') {
                contacts += arrList[i] + ",";
            }
        }
        contacts = contacts.trimEnd(',');
        if (contacts !== null && contacts !== "") {
            arrGrouped = contacts.split(',');
            var tmpArrContacts = JSON.parse(localStorage.newContacts);
            if (arrGrouped.length > 0) {
                for (var n = 0; n < arrGrouped.length; n++) {
                    //删除已分组的联系人(设为空)
                    delete tmpArrContacts["id" + arrGrouped[n]];
                }
                //ShowList(tmpArrContacts, "list");
                //生成全局缓存，2019.8.21修改
                localStorage.groupContacts = JSON.stringify(tmpArrContacts);
                return;
            }
        }
    }
    localStorage.groupContacts = JSON.stringify(ArrContacts);
    //ShowList(ArrContacts, "list");
}


//传入要显示的数据,及元素id
function ShowList(arr, id) {
    var html="";
    var li ="";
    var username;
    var tel;
    var tmpArr,contactId;
    if (!arr) { return;}
    var sorts = JsonSort(arr);

    var target = "A";//链接锚点，从A开始，到Z结束
    var firstLetter = ""; //联系人的首字母

    for (var i = 0; i < sorts.length; i++) {
        if (arr[sorts[i]]) {
            firstLetter = getFirstLetter(arr[sorts[i]]); //test
            if (firstLetter >= target && firstLetter<"a") {
                html += "<p id=\"link" + firstLetter + "\">" + firstLetter + "</p>";
                target = String.fromCharCode(firstLetter.charCodeAt() + 1); 
                //if (target > "Z") target = "#";
            } else if (firstLetter == "a" && target<"a" ) {
                html += "<p id=\"linkOther\">#</p>";
                target = String.fromCharCode(firstLetter.charCodeAt() + 1); 
            }
            tmpArr = arr[sorts[i]].split(",")
            username = tmpArr[0];
            tel = tmpArr[1];
            contactId = tmpArr[2]; //得到联系人id号

            li = '<li><span class="spanCheck"><input type="checkbox" data_username="' + username + '" data_tel="' +
                tel + '" data_id="' + contactId + '"/></span> <span class="spanUsername">' +
                username + '</span> <span class="spanTel">' + tel + '</span></li>';
            html += li;
        }
    }
  
    var obj = document.getElementById(id);
    if (obj) obj.innerHTML = html;
}




//得到字符串的首字母
//这里要引用拼音组件
function getFirstLetter(str) {
    var x = "a";
    if (str) {
        x = pinyinUtil.getFirstLetter(str);
    }
    if (x < "A" || x > "Z") x = "a";
    return x;
}

//删除对象中为空的属性
function arrDelNullList(arr) {
    var arr2 = {};
    for (var item in arr) {
        if (arr[item]) {
            arr2[item] = arr[item];
        }
    }
    return arr2;
}

function ShowList2(arr, id) {
    var html = "";
    var li = "";
    var username;
    var tel;
    var tmpArr, contactId;
    if (!arr) { return; }

    for (var prop in arr) {
        if (arr[prop]) {
            tmpArr = arr[prop].split(",")
            username = tmpArr[0];
            tel = tmpArr[1];
            contactId = tmpArr[2]; //得到联系人id号
            li = '<li><span class="spanCheck"><input type="checkbox" data_username="' + username + '" data_tel="' +
                tel + '" data_id="' + contactId + '"/></span> <span class="spanUsername">' +
                username + '</span> <span class="spanTel">' + tel + '</span></li>';
            html += li;
        }
    }
    var obj = document.getElementById(id);
    if (obj) obj.innerHTML = html;
}
//============显示联系人列表(结束)========

//保存选择的联系人并跳转
function saveContacts() {
    //先清空原来的收件人
    localStorage.Receive = "";
    addContactsList();
    window.location.href = "Send.html";
}

//保存选择的联系人
function addContactsList() {
    var tels = "";
    var objList2 = document.getElementById("list2");
    var list = "#list :checkbox";
    if (objList2) list = "#list2 :checkbox";

    $(list).each(function () {
        if ($(this).is(':checked')) {
            tels += $(this).attr("data_username") + "," + $(this).attr("data_tel") + "," + $(this).attr("data_id") + ";"
        }
    });
    if (!localStorage.Receive) localStorage.Receive = "";
	localStorage.Receive += tels;
}

//添加所有未分组用户到待发送列表中
function addSendListOther() {
    localInit();
    var contacts = ""; //所有已分组联系人（字符串)
    var arrGrouped; //所有已分组联系人的ID(数组)
    var contact;
    var tmpArr; 
    var username, tel, id;
    var sendList = ""; //待发送列表

    if (!ArrContacts) {
        return;
    }
    if (!localStorage.groupList) {
        return;
    }

    if (ArrGroupList && ArrGroupList.length > 0) { //当有分组时
        for (var i = 0; i < ArrGroupList.length; i++) {
            if (ArrGroupList[i]) {
                contacts += ArrGroupList[i] + ",";
            }
        }
        contacts = contacts.trimEnd(',');
        if (contacts) {
            arrGrouped = contacts.split(',');
            var tmpArrContacts = null;
            var tmpArrContacts = JSON.parse(localStorage.Contacts);
            if (arrGrouped.length > 0) {
                for (var n = 0; n < arrGrouped.length; n++) {
                    //删除已分组的联系人(设为空)
                    tmpArrContacts["id"+arrGrouped[n]] = "";
                }
                //显示所有未分组数据
                for (var tmpId in tmpArrContacts) {
                    contact = tmpArrContacts[tmpId].toString();
                    if (contact) {
                        tmpArr = contact.split(',');
                        username = tmpArr[0];
                        tel = tmpArr[1];
                        id = tmpArr[2];
                        if (username && tel) {
							sendList += username + "," + tel + "," + id + ";"
						}
                    }
                }
                
                if (typeof(localStorage.Receive) == "undefined") localStorage.Receive = "";
                localStorage.Receive += sendList;
                return;
            }
        }
    }
    //如果没有任何分组或者是分组数据,则添加所有联系人
    try {
        for (var tmpId2 in ArrContacts) {
            contact = ArrContacts[tmpId2].toString();
            if (contact) {
                tmpArr = contact.split(',');
                username = tmpArr[0];
                tel = tmpArr[1];
                id = tmpArr[2];
                if (username){
					sendList += username + "," + tel + "," + id + ";"
				}
            }
        }
    } catch (e) { alert(e.message); }
    localStorage.Receive += sendList;

}

//==============修改分组===============
//打开修改分组对话框
function ShowEditGroup(groupName,type) {
    layer.open({
        title: '修改分组名称',
        content: '<input placeholder="' + groupName + '" id="txtGroupName" style="width:100%;height:25px; text-indent:5px; line-height:25px; border-radius: 5px; border:1px solid #DBDBDB" maxlength="50" size="20"/>',
        btn: ['确定', '取消'],
        yes: function (index) { ajaxSaveEditGroup(groupName,type); layer.close(index); }
    });
}

//修改分组(更新本地缓存数据)
function EditGroup(oldGroupName, newGroupName) {
    var groupNames = JSON.parse(localStorage.groupName);
    var id = groupNames.indexOf(oldGroupName);
    if (id !== -1) {
        groupNames[id] = newGroupName;
        localStorage.groupName = JSON.stringify(groupNames);
    }
    localStorage.contactsGroup = "";
}

//保存新的分组名称
function ajaxSaveEditGroup(oldGroupName,type) {
    newGroupName = document.getElementById("txtGroupName").value.trim();
    if (newGroupName === null || newGroupName === "") {
        alert2("新的分组名称不能为空!");
        return;
    }
    if (oldGroupName !== newGroupName) {
        //1,查看有没有重名分组名称
        try {
            var groupNames = JSON.parse(localStorage.groupName);
            for (var i = 0; i < groupNames.length; i++) {
                if (newGroupName === groupNames[i]) { alert("已经存在相同的分组"); return; }
            }
        } catch (e) {
            //表示本地没有存储分组名，或转换json时出错
            return;
        }
        //2,在服务器上保存分组值
        $.ajax({
            type: "POST",
            url: "http://app.106117.com/contacts_ajax.ashx",
            dataType: "jsonp",
            data: {
                "token": localStorage.token,
                "action": "editGroup",
                "oldGroupName": oldGroupName,
                "newGroupName": newGroupName
            },
            timeout: 30000,
            crossDomain: true,
            success: function (data, textStatus) {
                if (data.status === 1) {
                    //在这里刷新一下分组
                    EditGroup(oldGroupName, newGroupName); //更新本地缓存
                    if (!type || type === 1) Init(); //刷新分组页
                    else { //刷新列表页
                        var elm = document.getElementById("spanTitle");//设置抬头
                        if (elm) elm.innerText = newGroupName;
                        GroupName = newGroupName;
                    }
                } else {
                    alert('保存分组失败：' + data.msg);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
            }
        });
    }
}

//将某个联系人分组加入到待发送列表缓存
function addSendList(groupName) {
    //1,查到组名的顺序 
    localInit();
    var groupId = ArrGroups.indexOf(groupName);
    var sendList = ""; //待发送列表
    var username = "", tel = "", id = "";
    var s = "", arrTmp;
    //如果sendlist 为null 则设置为空
    if (!localStorage.Receive) localStorage.Receive = "";
    //2,提取组内的所有id号
    if (groupId != -1 && ArrGroupList.length > 0) {
        var list = ArrGroupList[groupId];
        if (list) {
            list = list.toString();
            var arrList = list.split(',');
            if (arrList.length > 0 && ArrContacts) {
                //3,通过id号获得联系人信息
                for (var i = 0; i < arrList.length; i++) {
                    //通过id匹配到缓存数据值
                    s = ArrContacts["id"+arrList[i]];
                    if (!s) continue; //没有匹配到值
                    arrTmp = s.split(",");
                    username = arrTmp[0];
                    tel = arrTmp[1];
                    id = arrTmp[2];
                    if (username && tel) {
                        sendList += username + "," + tel + "," + id + ";"
                    }
                }
                //4,临时保存及跳转到发送页
                if (!localStorage.Receive) localStorage.Receive="";
                localStorage.Receive += sendList;
            } 
        }
    }
}

//============删除分组操作(开始)===========//

//打开删除分组对话框
function ShowDelGroup(groupName) {
    layer.open({
        content: '确定要删除分组"' + groupName + '"吗？'
    , btn: ['删除', '取消']
    , skin: 'footer'
    , yes: function (index) {
        //这里执行删除操作
        SaveDelGroup(groupName);
        layer.closeAll();
    }
    });
}

//在服务器上执行删除分组操作
function SaveDelGroup(groupName) {
    $.ajax({
        type: "POST",
        url: "http://app.106117.com/contacts_ajax.ashx",
        dataType: "jsonp",
        data: {
            "token": localStorage.token,
            "action": "delGroup",
            "groupName": groupName
        },
        timeout: 30000,
        crossDomain: true,
        success: function (data, textStatus) {
            if (data.status === 1) {
                //在这里刷新一下分组
                DelGroup(groupName); //更新本地缓存
                Init(); //刷新列表
            } else {
                alert2('删除分组失败：' + data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("出错提示：" + errorThrown); //test
        }
    });
}

//删除分组（更新本地缓存)
function DelGroup(groupName) {
    var groupNames = JSON.parse(localStorage.groupName);
    var groupList = JSON.parse(localStorage.groupList);

    var index = -1;
    index = groupNames.indexOf(groupName);
    if (index >= 0) {
        groupNames.splice(index, 1);
        groupList.splice(index, 1);
        localStorage.groupName = JSON.stringify(groupNames);
        localStorage.groupList = JSON.stringify(groupList);
    }
    localStorage.contactsGroup = "";
}

//收信人去重
function recUnique() {
    var arr = [];
    s = localStorage.Receive;
    arr = unique(s.split(";"));
    localStorage.Receive = arr.join(";");
}


//============删除分组操作(结束)===========//

//===========移动联系人（开始)============//
//移动联系人（开始）
//groupName 目标分组
function dialogMoveContacts(groupName) {
    var href = "AddList.html?groupName=" + groupName ;
    var pageii = layer.open({
        type: 1
        , content: '<iframe src="' + href + '" id="addList"  scrolling="no" frameborder="0"></iframe>'
        , anim: 'up'
        , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
    });
    var ifm = document.getElementById("addList");
    if (ifm) {
        if (DEVICE == "iOS") {
            document.getElementById('addList').src = href;
        }
        ifm.height = document.documentElement.clientHeight;
        ifm.width = document.documentElement.clientWidth;
     }
}


//移动联系人分组
//source:源组名，如果为空，则从未分组名单中移入
//target:目标组名
function ajaxMoveContacts(sourceGroup, targetGroup) {
    var tels = "";
    if (!targetGroup || targetGroup === "") { alert("参数传递错误"); ClosePage(); return; }

    //这里需要判断一下，如果打开了搜索框，默认从搜索框中移入联系人
    var sList = "#list :checkbox";
    var objList = document.getElementById("list2");
    if (objList) sList = "#list2 :checkbox"; 

    $(sList).each(function () {
        //获取已选择的所有号码id
        if ($(this).is(':checked')) {
            // tels += $(this).attr("data_username") + "," + $(this).attr("data_tel") + "," + $(this).attr("data_id") + ";"
            tels += $(this).attr("data_id") + ","
        }
    });
    if (!tels || tels == "") {
        ClosePage(); return;
    }
    tels = tels.trimEnd(',');

    //将数据保存到服务器
    $.ajax({
        type: "POST",
        url: "http://app.106117.com/contacts_ajax.ashx",
        dataType: "json",
        data: {
            "token": localStorage.token,
            "action": "moveList2",
            "sourceGroup": sourceGroup,
            "targetGroup": targetGroup,
            "contactsList": tels
        },
        timeout: 30000,
        crossDomain: true,
        success: function (data, textStatus) {
            if (data.status === 1) {
                //在这里刷新一下分组
                localMoveContacts(sourceGroup, targetGroup, tels); //更新本地缓存
                localStorage.contactsGroup = ""; //清空分组缓存
                localStorage.FirstOpen == 1;//设置首页刷新状态
                var owner = window.parent;
                if (owner) {
                    //更新父窗口的缓存
                    owner.ArrGroupList = ArrGroupList;
                    //更新父窗口的列表
                    try {
                        owner.ShowContactsList();
                    }
                    catch (e) { };
                    owner.layer.closeAll();
                } else {
                    layer.closeAll();
                }
            } else {
                alert('保存分组失败：' + data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("出错提示：" + errorThrown); //test
        }
    });
}

//关闭弹出窗口
function ClosePage() {
    try {
        window.parent.layer.closeAll();
    } catch (e) { console.log(e.message); }
}

//本地移动数据(更新本地缓存)
function localMoveContacts(sourceGroup, targetGroup, list) {
    if (sourceGroup && list) {
        localDelContacts(sourceGroup,list);
    }
    if (targetGroup && list) {
        var id = GetGroupId(targetGroup);
        if (id !== -1) {
            var contactsOne = ArrGroupList[id].toString()
            if (contactsOne) {
                ArrGroupList[id] = contactsOne + "," + list;
            } else {
                ArrGroupList[id] =  list;
            }
            localStorage.groupList = JSON.stringify(ArrGroupList);
        }
    }
}
//本地从分组中删除联系人数据
//sourceGroup, 要操作的分组名称
//list ,需要删除的联系人列表(字符串形式）
function localDelContacts(sourceGroup,list) {
    var contacts = "";
    var arrContactsOne = new Array(); //某个分组的联系人数据
    var arrDelList = new Array(); //需要删除的联系人列表

    var id2;
    if (sourceGroup && list) {
        //从缓存中查找分组数据
        var id = GetGroupId(sourceGroup);
        if (id !== -1) {
            contacts = ArrContacts["id"+id];
            arrDelList = list.split(",");
            if (contacts && arrDelList) {
                arrContactsOne = contacts.split(',');
                for (var i = 0; i < arrDelList.length; i++) {
                    id2 = arrContactsOne.indexOf(arrDelList[i]);
                    if (id2 !== -1) {
                        arrContactsOne.splice(id2, 1); //删除找到的元素
                    }
                }
                //更新本地缓存
                contacts = arrContactsOne.join(",");
                ArrContacts["id"+id] = contacts;
                localStorage.groupList = JSON.stringify(ArrContacts);
            }
        }
    }
}
//===========移动联系人(结束)============//

//从缓存数据中得到分组id,如果没有找到，返回-1
function GetGroupId(groupName) {
    var id = -1;
    if(groupName){
        localInit();
        id = ArrGroups.indexOf(groupName)
    }
    return id;
}

//初始化全局变量
function localInit() {
    if (ArrGroups && ArrGroupList) return;
    if (localStorage.groupName && localStorage.groupList) {
        ArrGroups = JSON.parse(localStorage.groupName);
        ArrGroupList = JSON.parse(localStorage.groupList);
    }
}

//绑定选中列表事件
function bindChkEvent() {
    return;
    $("#list li").mousedown(function () {
        var obj = $(this).find("input").get(0);
        if (obj) {
            var chk = obj.checked;
            if (chk)
                obj.checked = false;
            else
                obj.checked = true;
        }
    });

    $("#list input").mousedown(function () {
        event.stopPropagation();
    });

}

//在通讯中新增一个联系人
function saveContact(name, tel) {
    if (name && tel) {
        function onSuccess(contact) {
            try {
                refresh();//刷新页面
                layer.closeAll();
                alert2("保存成功");
            } catch (e) { }
        };

        function onError(contactError) {
            alert2("保存出错: " + contactError.code);
        };

        // create a new contact object
        var contact = navigator.contacts.create();
        contact.displayName = name;
        contact.nickname = name;            // specify both to support all devices

        var phoneNumbers = [];
        phoneNumbers[0] = new ContactField('mobile', tel, true);//是否是主号  
        contact.phoneNumbers = phoneNumbers;

        //保存到设备
        contact.save(onSuccess, onError);
    }
}