﻿
(function () {
    "use strict";
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onDeviceReady() {
    };
})();

$(document).ready(function () {
    //isVistor();
    localStorage.action = ""; //设置当前操作为空
    var objClose = document.getElementById("divClose");
    if (objClose) {
        objClose.addEventListener("click", onClose);
        if (DEVICE == "iOS") {
            $(".tip8").hide();
        }
    }
    showMoney();
    rezheng();

    if (localStorage.isBind && localStorage.isBind == 0 && !isMobile(localStorage.username)) {
        var objMobile = document.getElementById("bindMobile");
        if (objMobile) objMobile.style.display = "block";
    }
});


//显示金额与可发短信条数
function showMoney() {
    var money = 0.0;
    var msgCount = 0;
    if (!localStorage.token) return;

    if (localStorage.money) {
        money = Number(localStorage.money);
        msgCount = Math.ceil(money / 0.08);
    }
    var objMoney = document.getElementById("liMoney");

    var html = "短信余额：" + msgCount + "条";
    objMoney.innerHTML = html;

    //显示用户名
    var objUsername = document.getElementById("idUsername");
    var username = localStorage.username;
    if (username) {
        var reg = /^(\d{3})\d{4}(\d{4})$/;
        username= username.replace(reg, "$1****$2");
    } else {
        username = "游客";
    }
    objUsername.innerText = username;
    return;
}

//根据平台，跳转到不同的充值页
function gotoPay() {
    if (DEVICE != "iOS") {
        window.location.href = "Recharge.html?ref=Config.html";
    } else {
        window.location.href = "RechargeIOS.html?ref=Config.html";
    }
}

//是否通过实名审核
function rezheng() {
    if (!localStorage.rezheng || localStorage.rezheng == "0") {
        $("#renzheng").removeClass();
        $("#renzheng").text("[未认证]");
    } else {
        $("#renzheng").removeClass();
        $("#renzheng").addClass("renzheng2");
        $("#renzheng").text("已认证");
        $(".authTxt").text("已认证");
        $("#authBlank").hide();
        $("#authLi").hide();
    }
}