﻿(function () {
    "use strict";
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);
    document.addEventListener("backbutton", onBackKeyDown, false);

    //当按下后退键时的操作
    function onBackKeyDown(e) {
        window.location.href = "PaymentConfirm.html";
    }
    function onDeviceReady() {
    };
})();

var serverURL = "http://app.106117.com/Alipay.ashx?action=sign&username=" + localStorage.username + "&rechargeType=";
$(function () { onCallback(); })

    //页面监听事件
function onCallback() {
        //监听消息状态
        window.addEventListener('message', paySuccess, false);

        //获取页面传参:payType
        var payType = Request("payType");
        //保存支付类型
        localStorage.tmpPayType = payType;

        //远程wap页面的地址
        var url = serverURL + payType;

        //赋值给iframe 的src 并设置iframe的宽高    
        document.getElementById("pay_content").src = url;
        var $pay_content = $("#pay_content");
        var h = screen.height;
        var w = screen.width;
        $pay_content.css({
            height: h,
            width: w
        });
    }

    //消息回调函数
    function paySuccess(e) {
        //判断传过来的消息
        if (e.data == 'pay_success') {
            //根据充值类型保存当前余额
            if (localStorage.tmpPayType) {
                updateMoney(localStorage.tmpPayType);
            }
            paySuccessSkip();
        }
    }

    //删除监听函数
    function undisanfang() {
        //删除刚才的监听
        window.removeEventListener('message', loginStart, false);
    }

