//=====================初始化代码======================
$(function () {
    //绑定提交表单事件
    $("#btnSubmit").bind("click", function () {
        var username = $("#txtUserName").val();
        var password = $("#txtPassword").val();
        var validate = $("#txtValidate").val();
        var isChk = $("#chkAgreement").is(':checked');
        
        //console.log("test" + isChk);

        if (username == "" || password == "") {
            alert2("请填写用户名和登录密码！");
            return false;
        }

        if (!isMobile(username)) {
            alert2("请填写正确的手机号码");
            return false;
        }

        if (password.length < 6) {
            alert2("您输入的密码长度不能少于6位");
            return;
        }

        if (validate == "" || validate==null) {
            alert2("请输入验证码");
            return;
        }

        if (!isChk) {
            alert2("请仔细阅读并确认注册协议！");
            return;
        }

         $.ajax({
            type: "POST",
            url:"http://app.106117.com/submit_ajax.ashx",
            dataType: "jsonp",
            data: {
                "txtUserName": $("#txtUserName").val(),
                "txtPassword": $("#txtPassword").val(),
                "txtValidate": $("#txtValidate").val(),
                "action": "reg",
                "source": Source
            },
            timeout: 20000,
            crossDomain: true,
            beforeSend: function (XMLHttpRequest) {
                $("#btnSubmit").attr("disabled", true);
                //设置按钮锁定状态
            },
            success: function (data, textStatus) {
                $("#btnSubmit").attr("disabled", false);
                if (data.status == 1) {
                        localStorage.username = username;
                        localStorage.token = data.token;
                        localStorage.money = data.amount;
                        localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                        localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                        localStorage.FirstOpen = 1; //首次打开
                        //这里远程调用一下注册统计代码
                        //$.getScript('http://veim.lrswl.com/effect.php?type=ef&pid=2658', function () {
                            window.parent.location.reload();
                            parent.layer.closeAll();
                        ///});

                } else {
                    alert2(data.msg);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                $("#btnSubmit").attr("disabled", false);
                if (errorThrown == "timeout") {
                    alert2("登录超时，请检查网络是否连接");
                } else {
                    alert2("登陆出错：" + errorThrown); //test
                }
            }
        });
        return false;
    });

    //绑定点击输入事件
    $("#divUserName").bind("click", function () {
        $("#txtUserName").focus();
    });
    $("#divPassword").bind("click", function () {
        $('#txtPassword').focus();
    });
    $("#divValidate").bind("click", function () {
        $("#txtValidate").focus();
    });
    $(".spanReturn").click(function () {
        var frm = window.parent;
        frm.layer.closeAll();
        frm.history.back();
    })
});

//获取验证码
$(function(){
    //提交表单
    $("#btnValidate").bind("click", function () {
        //这里要先检查手机号是否为空
        var username = $("#txtUserName").val();
        if (username == "") {
            alert2("手机号不能为空");
            return;
        }

        if (!isMobile(username)) {
            alert2("您输入的手机号码不正确");
            return;
        }

        $.ajax({
            type: "POST",
            url: "http://app.106117.com/submit_ajax.ashx",
            dataType: "jsonp",
            data: {
                "username": $("#txtUserName").val(),
                "action": "getValidate",
            },
            timeout: 60000,
            crossDomain: true,
            beforeSend: function (XMLHttpRequest) {
                $("#btnValidate").attr("disabled", true);
            },
            success: function (data, textStatus) {
                if (data.status == 1) {
                    //$("#btnValidate").attr("disabled", false);
                    //$("#txtValidate").val(data.validate);
                    //设置过期时间
                } else {
                    if (data.msg.indexof("超时") >= 0) {
                        $("#btnValidate").attr("disabled", false);
                    }
                    alert2(data.msg);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                alert2("暂时无法获取验证码，请稍后再试"); //test
            }
        });
    })

    var obj = document.getElementById("txtValidate");
    obj.onkeydown = function () {
        if (event.keyCode == 13) {
            $("#btnSubmit").click();
        }
    }
});

