﻿window.onload = function () {
    if (localStorage.token) {
        //直接登录
        checkToken();
    } else {
        timeDing();
    }
}
//图片切换
var photoSwipe = {
    imgArr: [],
    site: {
        _x_start: 0,
        _y_start: 0,
        _x_move: 0,
        _y_move: 0,
        _x_end: 0,
        _y_end: 0,
        top_val: 0,
        left_val: 0
    },
    index: 0,
    run: true,
    load: false,
    init: function () {
        document.querySelector("#main>div>div").innerHTML = this.imgHtml();
    },
    imgHtml: function () {
        var str = '<div id="ind-' + this.index + '">'
            + '<img src="img/wellcome' + this.index + '.gif" width="100%">'
            + '</div>';
        return str;
    },
    animateMove: function (el, val) {
        if (!this.run) {
            return;
        }
        this.run = false;

        el.css({ "transform": "translate3d(" + doc_width * val + "px," + photoSwipe.top_val * 2.2 + "px,0px)", "transition-duration": "0.3s" });
        var moveTime = setTimeout(function () {
            el.remove();
            var ind_el = $("#ind-" + (photoSwipe.index));
            photoSwipe.activeEl(ind_el);
            photoSwipe.index++;
            //确定页数；
            if (photoSwipe.index >= 1) {
                return false;
            }
            $("#main>div>div").append(photoSwipe.imgHtml());
            photoSwipe.run = true;
        }, 300);
    },
    animateReset: function (el) {
        el.css({ "transform": "translate3d(0px,0px,0px)", "transition-duration": "0.3s" });
        var resetTime = setTimeout(function () {
            el.css("transition-duration", "0s");
        }, 1000);
    },
    activeEl: function (el) {
        el.css("z-index", "2");
    },
    clearLocation: function () {
        this.left_val = 0;
    }

};
photoSwipe.init();

var doc_width = $(document).width(), doc_height = $(document).height();

photoSwipe.activeEl($("#ind-0"));
photoSwipe.index++;

$("#main>div>div").append(photoSwipe.imgHtml());

$("#main").on("touchstart", function (ev) {
    if (!photoSwipe.load || !photoSwipe.run) {
        return;
    }
    //确定页数；
    if (photoSwipe.index >= 2) {
        return false;
    }

    photoSwipe._x_start = ev.touches[0].pageX;
    photoSwipe._y_start = ev.touches[0].pageY;
    var act_el = $("#ind-" + (photoSwipe.index - 1).toString(10));
});
$("#main").on("touchmove", function (ev) {
    if (!photoSwipe.load || !photoSwipe.run) {
        return;
    }
    //确定页数；
    if (photoSwipe.index >= 2) {
        return false;
    }

    photoSwipe._x_move = ev.touches[0].pageX;
    photoSwipe._y_move = ev.touches[0].pageY;

    var act_el = $("#ind-" + (photoSwipe.index - 1).toString(10));
    photoSwipe.top_val = parseFloat(photoSwipe._y_move) - parseFloat(photoSwipe._y_start);
    photoSwipe.left_val = parseFloat(photoSwipe._x_move) - parseFloat(photoSwipe._x_start);

    act_el.css({ "transform": "translate3d(" + photoSwipe.left_val + "px,)", "transition-duration": "0s" });
});
$("#main").on("touchend", function (ev) {
    if (!photoSwipe.load || !photoSwipe.run) {
        return;
    }
    //确定页数；
    if (photoSwipe.index >= 2) {
        return false;
    }

    photoSwipe._x_end = ev.changedTouches[0].pageX;
    photoSwipe._y_end = ev.changedTouches[0].pageY;
    var act_el = $("#ind-" + (photoSwipe.index - 1).toString(10));
    if (photoSwipe.left_val > 0 && photoSwipe.left_val > doc_width / 2 - doc_width / 4.5) {
        photoSwipe.animateMove(act_el, 1);
        timeClick();
    } else if (photoSwipe.left_val < 0 && photoSwipe.left_val < -doc_width / 2 + doc_width / 4.5) {
        photoSwipe.animateMove(act_el, -1);
    } else {
        photoSwipe.animateReset(act_el);
    }
});

$(function () {
    photoSwipe.load = true;
    // 点击跳转

    $("#ind-0").click(function () {
        window.location.href = "login.html";
    })
    $("#ind-1").click(function () {
        window.location.href = "login.html";
    })
});
// 定时切换
function picSwitch() {
    var act_el = $("#ind-" + (photoSwipe.index - 1).toString(10));
    photoSwipe.animateMove(act_el, 1);
    timeClick();
}

function timeDing() {
    setTimeout(function () {
        picSwitch();
    }, 1500)
}
function timeClick() {
    setTimeout(function () {
            window.location.href = "login.html";
    }, 1500)
}

$(document).ready(function () {
    initWindow();
});

// //设置当前窗口的高度
function initWindow() {
    //设置设备高度缓存
    localStorage.deviceHeight = document.documentElement.clientHeight;
    var token = localStorage.token;
    var time = 4000;
    if (DEVICE == "iOS") time = 0;
    if (token) {
        setTimeout(checkToken, time);//直接登陆
    } else {
        setTimeout(function () { location.href = "login.html"; }, time);//跳转到登录页面
    }
};
