﻿(function () {
    "use strict";
    document.addEventListener('deviceready', function () {
    }, false);
})();

$(document).ready(function () {
    //弹出层隐藏
    $(".backBg").click(function () {
        $("#popLayer").hide();
    });

});

//企业认证提示
function showEnterpriseTip() {
    alert2("企业认证功能还在完善中，如需认证请联系客服提供认证资料！");
}

//选择从相册上传还是拍照上传
var picId = "";
function chooseType(img) {
    picId = img.id;
    $("#popLayer").show();

    //var content = "<div class='chose1' onclick='getPic()'>从相册选择</div><div class='chose2' onclick='getCamera()'>拍照</div>";
    //layer.open({
    //    content: content,
    //});
}

//个人认证交互
function auth() {
    var cardFront = document.getElementById("leftImg").src;  //正面
    var cardBack = document.getElementById("rightImg").src;  //反面
    var mobile = document.getElementById("mobile").value; 

    if (cardFront.indexOf("/auth/") > 0 || cardBack.indexOf("/auth/") > 0){
        alert2("请选择相应证件照片！");
        return;
    }
    if (mobile.length<10) {
        alert2("请输入您的手机号码！");
        return;
    }
    //去掉前面字符串
    cardFront = cardFront.replace("data:image/jpeg;base64,", "");
    cardBack = cardBack.replace("data:image/jpeg;base64,", "");


    //编码
    cardFront = encodeURIComponent(cardFront);
    cardBack = encodeURIComponent(cardBack);

    $.ajax({
        type: "POST",
        url: "http://app.106117.com/Auth/AuthP.ashx",
        dataType: "json",
        data: JSON.stringify({
            "secretKey": "secretKey",
            "platform": 1,
            "username": localStorage.username,
            "token": localStorage.token,
            "cardFront": cardFront,
            "cardBack": cardBack,
            "mobile":mobile
        }),
        timeout: 20000,
        crossDomain: true,
        beforeSend: function (XMLHttpRequest) {
            $("#btnNext").attr("value", "正在校验，请稍等...");
        },
        success: function (data, textStatus) {
            if (data.status == 1) {
                localStorage.rezheng = "1";
                alert3("亲，认证成功！<br/>（88条短信已充值到您账户余额）", function () {
                    window.location.href = "../Config.html";
                });
            } else {
                var msg = data.message;
                if (msg.indexOf('不一致') > 0) {
                    alert2("您的身份证与手机号不匹配，请重新输入以当前身份证开通的手机号码！");
                } else {
                    alert2("请上传正确清晰的身份证照片！");
                }
               
                $("#btnNext").attr("value", "下一步");
            }
            console.log(data.message);
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            $("#btnNext").attr("value", "下一步");
            alert2("出错提示：" + errorThrown); 
        }
    });
}

//从相册选择
function getPic() {
    $("#popLayer").hide();

    navigator.camera.getPicture(onSuccess, onError, {
        quality: 50,
        destinationType: Camera.DestinationType.DATA_URL,//返回Base64编码字符串
        sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,//指定图片来自相册
        encodingType: Camera.EncodingType.JPEG, //指定返回图片是png格式还是jpeg
        targetWidth: 1000,
        targetHeight: 1000,
        mediaType: Camera.MediaType.PICTURE
    });
    function onSuccess(data) {
        var result = "data:image/jpeg;base64," + data;
        //压缩图片尺寸与大小
        imageCompression(result, { width: 1000, height: 1000 }, 1, function (compressionResult) {
            document.getElementById(picId).src = compressionResult;
        });
    }
    function onError() {
        alert('获取失败');
    }
}

//拍照
function getCamera() {
    $("#popLayer").hide();

    navigator.camera.getPicture(onSuccess, onError, {
        quality: 50,
        destinationType: Camera.DestinationType.DATA_URL,//返回FILE_URI类型
        sourceType: Camera.PictureSourceType.CAMERA,//指定图片来自拍照
        cameraDirection: Camera.Direction.FRONT,//指定前后摄像头--好像没起作用
        targetWidth: 1000,
        targetHeight: 1000,
        encodingType: Camera.EncodingType.JPEG //指定返回图片是png格式还是jpeg
    });
    function onSuccess(data) {
        var result = "data:image/jpeg;base64," + data;

        //压缩图片尺寸与大小
        imageCompression(result, { width: 1000, height: 1000 }, 1, function (compressionResult) {
            document.getElementById(picId).src = compressionResult;
        });
    }
    function onError() {
        //alert('获取失败');
    }
}

//点击压缩图片
function getPicInfo() {
    var img = document.getElementById("leftImg").src;
    imageCompression(img, { width: 1000, height: 1000 }, 1, function (compressionResult) {
        document.getElementById("imgs1").src = compressionResult;
    });
}


/**
 * 以obj.height 为基准 压缩
 * baseImage base64 图片
 * obj { width: 900, height: 35 }
 * quality 图像质量  0 - 1   1 质量越高
 */
function imageCompression(baseImage, obj, quality, callback) {
    var img = new Image();
    img.src = baseImage;
    img.onload = function () {
        var that = this;
        var w = that.width, h = that.height;
        //按照h 压缩后的base64 和 width
        var compressionResult, compressionWidth, compressionHeight;
        if (h > obj.height) {
            //生成canvas
            var canvas = document.createElement('canvas');
            var ctx = canvas.getContext('2d');
            //创建属性节点
            var createw = document.createAttribute('width');
            var createh = document.createAttribute('height');
            h = obj.height;
            w = (h / that.height) * w;
            compressionWidth = w;
            compressionHeight = h;
            createw.nodeValue = w;
            createh.nodeValue = h;
            canvas.setAttributeNode(createw);
            canvas.setAttributeNode(createh);
            ctx.drawImage(that, 0, 0, w, h);
            var base64 = canvas.toDataURL('image/png', quality);
            compressionResult = base64;
        } else {
            compressionResult = baseImage;
            compressionWidth = that.width;
            compressionHeight = that.height;
        }
        //width > 默认width  做截取处理
        if (compressionWidth > obj.width) {
            ClippingImage(compressionResult, obj.width, compressionHeight, quality, function (base64Clipping) {
                callback(base64Clipping);
            });
        } else {
            callback(compressionResult);
        }
    }
}

//弹出图片
function showPic(img) {
    var href = "img/" + img;
    $('#zoomImg').attr("src", href);
    $('.over').show();
}

$(function () {
    $('.divZoom').each(function () {
        new RTP.PinchZoom($(this), {});
    });
    $(".over").click(function () {
        $('.over').hide();
    })
})