﻿//设置全局变量
var selected = ""; //选中的单选按钮
var isChecked = isChecked;  //是否选中
var dataArry = {};
var arrCheckValue = {};

//初始化
function dhInit() {
    if (localStorage.newContacts) {
        dataArry = JSON.parse(localStorage.newContacts)
    }
    if (localStorage.newChar) {
        arrCheckValue = JSON.parse(localStorage.newChar)
    }
}

//重新处理数据
function JsonArry(arr) {
    var tmpArr = {}, tmpChar = {}, tmpArrChar = {};
    var target = "A";//链接锚点，从A开始，到Z结束
    var sorts = JsonSort(arr);
    var firstLetter = ""; //联系人的首字母
    var tempFirstLetter = "";
    var charCount = 1;

    for (var i = 0; i < sorts.length; i++) {
        if (arr[sorts[i]]) {
            firstLetter = getFirstLetter(arr[sorts[i]]); //获取首字母

            //如果首字母与上次不一样，则统计新字母
            if (tempFirstLetter == "" || tempFirstLetter != firstLetter) {
                if (firstLetter == "a") {
                    var c = "#";
                    tmpArrChar[c] = charCount; //保存统计数据
                } else {
                    tmpArrChar[firstLetter] = charCount; //保存统计数据
                }

                tempFirstLetter = firstLetter;
            }
            charCount++;


            if (firstLetter >= target && firstLetter < "a") {
                target = String.fromCharCode(firstLetter.charCodeAt() + 1);
            } else if (firstLetter == "a" && target < "a") {
                target = String.fromCharCode(firstLetter.charCodeAt() + 1);
            }

            if (firstLetter == "a") {
                //arr[sorts[i]] = "#," + arr[sorts[i]];
                tmpArr[i] = "#," + arr[sorts[i]];
            } else {
                //arr[sorts[i]] = firstLetter + "," + arr[sorts[i]];//给数组加个值
                tmpArr[i] = firstLetter + "," + arr[sorts[i]];//给数组加个值
            }

            //tmpArr[sorts[i]] = arr[sorts[i]];
            tmpChar = tmpArrChar;
        }
    }
    localStorage.newContacts = JSON.stringify(tmpArr);;
    localStorage.newChar = JSON.stringify(tmpArrChar);
    dataArry = JSON.parse(localStorage.newContacts); //test
    arrCheckValue = JSON.parse(localStorage.newChar);//test
}

//按字母排序
function JsonSort(jsonObj) {
    if (!jsonObj) return "";

    var sortKeys = Object.keys(jsonObj).sort(function (a, b) {
        var x = "z", y = "z";
        if (jsonObj[a]) {
            x = pinyinUtil.getFirstLetter(jsonObj[a]);
        }

        if (x < "A" || x > "Z") x = "z";
        if (jsonObj[b]) {
            y = pinyinUtil.getFirstLetter(jsonObj[b]);
        }
        if (!y || y < "A" || y > "Z") y = "z";
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    });
    return sortKeys;
}

//得到字符串的首字母
//这里要引用拼音组件
function getFirstLetter(str) {
    var x = "a";
    if (str) {
        x = pinyinUtil.getFirstLetter(str);
    }
    if (x < "A" || x > "Z") x = "a";
    return x;
}

//获得每个字母的数据条数
function arrCheck(arr) {
    var newArr = [];
    var count = 0;
    for (var i = 0; i < arr.length; i++) {
        var temp = arr[i];
        //var count = 0;
        for (var j = 0; j < arr.length; j++) {
            if (arr[j] == temp) {
                arr[j] = -1;
            }
        }
        count++;
        if (temp != -1) {
            newArr[temp] = count;
        }
    }
    return newArr;
}

function gotoChar(ch) {
    var elItemList = document.querySelector('#item-container');
    var count = arrCheckValue[ch]; //获取当前字母在数组中出现的第多少位

    if (ch === '*') {
        elItemList.scrollTop = 0
    } else if (ch === '#') {
        elItemList.scrollTop = elItemList.scrollHeight
    } else {
        //计算纵向滚动对应的位置
        var scrollHeight = elItemList.scrollHeight;
        var charHeight = Math.floor((count - 1) * jqVirtualTable.rowHeight); //当前字母在导航条的坐标
        elItemList.scrollTop = charHeight;
        //console.log(charHeight);
    }
}

var jqVirtualTable = {
    data: [],   //数据源，需要提供 
    page: 0,   //当前页码 
    pageRows: 30,   //每页行数，需要提供 
    headerHeight: 116,  //th行高（pixel），需要提供 
    rowHeight: 51,   //td行高（pixel），需要提供 
    //colCount: 0,   //列数 
    controls: {   //缓存控件 
        tabObj: null,  //数据table 
        wrapObj: null  //外层包裹的div 
    },

    //初始化 
    init: function (tableId, wrapperId) {
        //缓存主要控件 
        this.controls.tabObj = $("#" + tableId);
        this.controls.wrapObj = $("#" + wrapperId);

        //挂接事件 
        this.controls.wrapObj.scroll($.proxy(this.scrollhandler, this));

        //绘制表格 
        this.render();
    },

    //绘制表格 
    render: function () {
        this.controls.tabObj.find("li:gt(0)").remove();

        var startIndex = this.page == 0 ? 0 : ((this.page - 1) * this.pageRows);
        var endIndex = startIndex + 3 * this.pageRows;
        var length = Object.keys(this.data).length;
        if (endIndex > length)
            endIndex = length;

        var topH = startIndex * this.rowHeight;
        var bottomH = (length - (endIndex - startIndex + 1)) * this.rowHeight - topH;
        if (bottomH < 0)
            bottomH = 0;

        //alert(topH + "+" + bottomH);

        var html = [];
        html.push("<li><div style='padding:0;width:100%;height:" + topH + "px'></div></li>");
        html.push(this.getRowsHtml(startIndex, endIndex));
        html.push("<li><div style='padding:0;width:100%;height:" + bottomH + "px'></div></li>");

        $(html.join('')).appendTo(this.controls.tabObj);
    },

    //生成给定区间行的html，需要重写 
    getRowsHtml: function (start, end) {
        var html = [];
        var checked = "";

        for (var i = start; i < end; ++i) {
            if (this.data[i])
                var item = this.data[i].split(",");
            else
                break;
            

            //判断单选按钮是否已选中
            var receive = item[1] + "," + item[2] + "," + item[3];
            if (selected.indexOf(receive) > -1)
                checked = "checked";
            else checked = "";

            html.push("<li data-ch='" + item[0] + "'><div class='item'><span class='spanUsername'>" + item[1] + "</span>");
            html.push("<span class='spanTel'>" + item[2] + "</span>");
            html.push("<span class='spanCheck'><input onclick='selectRadio(this)' type='checkbox' data_username='" + item[1] + "' data_tel='" + item[2] + "' data_id='" + item[3] + "'" + checked + "></span></div></li>");
        }
        return html.join('');
    },

    //外层包裹div的scroll事件处理 
    scrollhandler: function () {
        //$("#wrapperHead").scrollLeft(this.controls.wrapObj.scrollLeft()); 
        //计算纵向滚动对应的页码，判断是否需要换页 
        var scrollTop = this.controls.wrapObj.scrollTop();
        var posPage = Math.floor((scrollTop + this.headerHeight) / (this.pageRows * this.rowHeight));
        if (posPage != this.page) {
            this.page = posPage;
            this.render();
            this.controls.wrapObj.focus();
        }
    }
};


//单选按钮选中与非选中
function selectRadio(item) {
    var name = $(item).attr("data_username");
    var tel = $(item).attr("data_tel");
    var id = $(item).attr("data_id");
    var receive = name + "," + tel + "," + id + ";"

    if ($(item).is(':checked')) {
        //选中时添加到
        selected += receive;
    } else {
        //取消选中时，从数组中删除
        selected = selected.replace(receive, '');
    }

    //console.log(selected);

}

//全选与取消全选
function hfyNewCheckAll(chkobj) {
    var list2 = document.getElementById("data");
    //如果有搜索框
    var list3 = document.getElementById("list2");
    if (list3) {
        hfySearchCheckAll(chkobj);
        return;
    }

    if ($(chkobj).text() == "全选") {
        $(chkobj).text("取消");

        //全选时，将所有的选中数据都添加到selected中
        selected = "";
        for (obj in jqVirtualTable.data) {
            var item = jqVirtualTable.data[obj].split(",");
            var receive = item[1] + "," + item[2] + "," + item[3] + ";"
            selected += receive;
        }

        if (!list2)
            $("#data :checkbox").prop("checked", true);
        else
            $("#data :checkbox").prop("checked", true);;
    } else {
        $(chkobj).text("全选");

        //全选时，清空selected
        selected = "";

        if (!list2)
            $("#data :checkbox").prop("checked", false);
        else
            $("#data :checkbox").prop("checked", false);
    }
}

//搜索全选
function hfySearchCheckAll(chkobj) {
    var list = "#list2 :checkbox";
    if ($(chkobj).text() == "全选") {
        $(chkobj).text("取消");

        //全选时，将所有的选中数据都添加到selected中
        selected = "";
        var name, tel, id, receive;

        $(list).each(function () {
            //获取已选择的所有号码id
            $(this).prop("checked", true);
            name = $(this).attr("data_username");
            tel = $(this).attr("data_tel");
            id = $(this).attr("data_id");
            selected += name + "," + tel + "," + id + ";";
        });
    } else {
        $(chkobj).text("全选");
        $(list).attr("checked", false);
        selected = "";
    }
}

//搜索时的反选
function hfySearchReverseAll() {
    var list2 = "#list2 :checkbox";
    var name, tel, id, receive;
    selected = "";
    $(list2).each(function () {
        //获取已选择的所有号码id
        $(this).prop("checked", !$(this).prop("checked"));
        if ($(this).prop("checked")) {
            name = $(this).attr("data_username");
            tel = $(this).attr("data_tel");
            id = $(this).attr("data_id");
            selected += name + "," + tel + "," + id + ";";
        }
    });
}

//反选
function hfyNewReverseAll() {
    var list = document.getElementById("data");
    var tmpList2 = document.getElementById("list2");
    //有搜索框时的反选
    if (tmpList2) {
        hfySearchReverseAll();
        return;
    }
    //选中的数据处理
    var tempSelected = "";
    for (obj in jqVirtualTable.data) {
        var item = jqVirtualTable.data[obj].split(",");
        var receive = item[1] + "," + item[2] + "," + item[3] + ";"
        
        //判断单选按钮是否已选中,如果选中则不添加
        if (selected.indexOf(receive) == -1) {
            tempSelected += receive;
        }
    }
    selected = tempSelected;

    $("#data :checkbox").each(function () {
        $(this).prop("checked", !$(this).prop("checked"));
    });

}



//直接添加收信人
function groupNewSend() {
    localStorage.Receive = selected;
    location.href = 'Send.html'
}


/*************************  联系人分组获取   ***************************/

//获取未分组的所有联系人
function getOtherContacts() {
    if (!localStorage.groupList) return;

    var arrList = JSON.parse(localStorage.groupList); //联系人分组数据
    var arrContacts = JSON.parse(localStorage.Contacts);
    var contacts = ""; //所有已分组联系人（字符串)
    var arrGrouped; //所有已分组联系人的ID(数组)

    if (!arrContacts || arrContacts.length <= 0) {
        return;
    }
    if (!localStorage.groupList) { alert2("当前没有任何分组数据"); return; }

    if (arrList !== null && arrList.length > 0) { //当有分组时
        for (var i = 0; i < arrList.length; i++) {
            if (arrList[i] !== '') {
                contacts += arrList[i] + ",";
            }
        }
        contacts = contacts.trimEnd(',');
        if (contacts !== null && contacts !== "") {
            arrGrouped = contacts.split(',');
            var tmpArrContacts = JSON.parse(localStorage.Contacts);
            if (arrGrouped.length > 0) {
                for (var n = 0; n < arrGrouped.length; n++) {
                    //删除已分组的联系人(设为空)
                    delete tmpArrContacts["id" + arrGrouped[n]];
                }
                return tmpArrContacts;
            }
        }
    }
    return arrContacts;
}

//获取某个分组的所有联系人
function getContacts(groupName) {
    var contacts2 = "";
    var arr = {};//当前分组的数据

    var arrContacts = JSON.parse(localStorage.Contacts);
    ArrGroups = JSON.parse(localStorage.groupName);
    ArrGroupList = JSON.parse(localStorage.groupList);

    //1,得到当前分组的所有联系人ids
    if (groupName && ArrGroupList.length > 0) {
        var index = ArrGroups.indexOf(groupName);
        if (index !== -1) {
            var contacts = ArrGroupList[index].toString(); //得到分组数据
            if (contacts) {
                var arrContactsOne = contacts.split(",");
                for (var i = 0; i < arrContactsOne.length; i++) {
                    //通过id匹配到缓存数据值
                    contacts2 = arrContacts["id" + arrContactsOne[i]];

                    if (!contacts2) continue; //没有匹配到值
                    else {
                        arr["id" + arrContactsOne[i]] = contacts2; //添加数据到临时数组
                    }
                }
            }
        }
        return arr;
    }
}


//移动联系人分组
//source:源组名，如果为空，则从未分组名单中移入
//target:目标组名
function ajaxMoveContacts2(sourceGroup, targetGroup) {

    //new
    if (!targetGroup || targetGroup === "") { alert("参数传递错误"); ClosePage(); return; }

    var arr = selected.split(";"); //已选的号码
    var tels = "";
    for (var i = 0; i < arr.length; i++) {
        if (arr[i] != "") {
            var str = arr[i].split(",");
            tels += str[2] + ",";
        }
    }

    if (!tels || tels == "") {
        ClosePage(); return;
    }
    tels = tels.trimEnd(',');

    //将数据保存到服务器
    $.ajax({
        type: "POST",
        url: "http://app.106117.com/contacts_ajax.ashx",
        dataType: "json",
        data: {
            "token": localStorage.token,
            "action": "moveList2",
            "sourceGroup": sourceGroup,
            "targetGroup": targetGroup,
            "contactsList": tels
        },
        timeout: 30000,
        crossDomain: true,
        success: function (data, textStatus) {
            if (data.status === 1) {
                //在这里刷新一下分组
                localMoveContacts(sourceGroup, targetGroup, tels); //更新本地缓存
                localStorage.contactsGroup = ""; //清空分组缓存
                localStorage.FirstOpen == 1;//设置首页刷新状态
                var owner = window.parent;
                if (owner) {
                    //更新父窗口的缓存
                    //owner.ArrGroupList = ArrGroupList;
                    //更新父窗口的列表
                    //try {
                    //    owner.ShowContactsList();
                    //}
                    //catch (e) { };
                    owner.layer.closeAll();
                    owner.location.reload();
                } else {
                    layer.closeAll();
                }
            } else {
                alert('保存分组失败：' + data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("出错提示：" + errorThrown); //test
        }
    });
}