﻿
$(document).ready(function () {
    $("#btnNext").bind("click", function () {
        var username = $("#txtUserName").val();
        if (username == "") {
            alert2("请填写您注册的手机号码！");
            return;
        }

        if (!isMobile(username)) {
            alert2("请填写正确的手机号码");
            return false;
        }
        //1,临时保存找回密码的手机号及操作次数
        localStorage.tmpUsername = username;

        if(checkCount){
        //2,验证帐号是否存在，如果存在，发送验证码
            getValidate(username);
        } else {
            alert2("您今天的操作次数过多，请明天再试!");
        }
    });
});

//计数器+1 ，如果超过3次不给予提交
function checkCount() {
    var myDate = new Date();
    if (!localStorage.tmpDateTime) {
        localStorage.tmpDateTime = myDate.toLocaleDateString();
    } else {
        var strDate2 = localStorage.tmpDateTime; //得到保存的时间
        var strDate1 = myDate.toLocaleDateString(); //得到当前日期
        if (strDate1 != strDate2) { //如果不是同一天，计数器先清0
            localStorage.tmpForgetCount = "";
        }
    }
    var count = 0;
    if (localStorage.tmpForgetCount) count = parseInt(localStorage.tmpForgetCount);
    count = count + 1;
    localStorage.tmpForgetCount = count;

    if (count > 3) {
        return false;
    } else {
        return true;
    }
}

//检查帐号及发送验证码
function getValidate(username) {
    var keys = auth();
    $.ajax({
        type: "POST",
        url: "http://app.106117.com/submit_ajax.ashx",
        dataType: "jsonp",
        data: {
            "username": $("#txtUserName").val(),
            "action": "forget_getValidateS",
            "timestamp": keys.timestamp,
            "secretValue": keys.secretValue
        },
        timeout: 20000,
        crossDomain: true,
        beforeSend: function (XMLHttpRequest) {
            $("#btnNext").attr("disabled", true); //设置按钮锁定状态
        },
        success: function (data, textStatus) {
            $("#btnNext").attr("disabled", false);
            if (data.status == 1) {
                window.location.href = "ForgetPassword2.html";
            } else {
                alert2(data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            $("#btnNext").attr("disabled", false);
            if (errorThrown == "timeout") {
                alert2("登录超时，请检查网络是否连接");
            } else {
                alert2("登陆出错：" + errorThrown); 
            }
        }
    });
}