﻿
(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);
    document.addEventListener("backbutton", onBackKeyDown, false);

    //点击后退键，直接退出app
    function onBackKeyDown(e) {
        e.preventDefault();
        //跳转到注册页
        window.location.href = "Reg.html";
    }
    function onDeviceReady() {
        return;//暂时不用
        JGJVerificationPlugin.init();
        setTimeout(function () {
            JGJVerificationPlugin.isInitSuccess(function (isInit) {
                if (isInit) {
                    JGJVerificationPlugin.checkVerifyEnable(function (isEnable) {
                        if (isEnable=="true") {
                            JGJVerificationPlugin.preLogin(300)
                        } else {
                            $("#btnJgReg").hide();
                            $("#btnReg").show();
                        }
                    })
                }
            })
        }, 300)
    };
})();

//====================初始化验证表单====================
$(function () {
    
	//绑定提交表单事件
    $("#btnSubmit").bind("click", loginS);

    //绑定输入点击事件
    $("#divUsername").bind("click", function () {
        $("#txtUserName").focus();
    });
    $("#divPassword").bind("click", function () {
        $("#txtPassword").focus();
    });
    var obj = document.getElementById("txtPassword");
    obj.onkeydown = function () {
        if (event.keyCode == 13) {
            $("#btnSubmit").click();
        }
    }
    checkToken();

    //0214修改,显示缓存的用户信息
    if (localStorage.username && localStorage.password) {
        $("#txtUserName").val(localStorage.username);
        $("#txtPassword").val(localStorage.password);
    }

});


//一建登录
function jgLogin() {
    setCustomUIWithConfig();
    JGJVerificationPlugin.loginAuth(true, function (msg) {
        msg = JSON.parse(msg);
        if (msg.code == 6000) {
            var keys = auth(); 
            $.ajax({
                type: "POST",
                url: SERVER,
                dataType: "json",
                data: {
                    "action": "jgReg",
                    "jgToken": msg.content,
                    "timestamp": keys.timestamp,
                    "secretValue": keys.secretValue
                },

                timeout: 20000,
                crossDomain: true,
                success: function (data, textStatus) {
                    if (data.status == 1) {
                        localStorage.username = data.username;
                        localStorage.token = data.token;
                        localStorage.money = data.amount;
                        localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                        localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                        localStorage.FirstOpen = 1; //首次打开
                        localStorage.isBind = 1;
                        window.location.href = "ContactsGroup.html";
                    }else {
                        alert2(data.msg);
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    if (errorThrown == "timeout") {
                        alert2("操作超时，请检查网络是否连接");
                    }
                }
            });
        } else if (msg.code != 6002) {
            alert2("一键登录失败，请选择其他方式登录");
        }
    })
}


function setCustomUIWithConfig() {

    if ("Android" == device.platform) {
        var c = 0xff000000;
        var json = {
            setNavColor: 0xff95D55B,
            setNumberColor: 0xff000000,
            setLogBtnText: "登录",
            setAppPrivacyColor: [0xff000000, 0xff95D55B],
            setPrivacyState: true
        }

        json = JSON.stringify(json);
        JGJVerificationPlugin.setCustomUIWithConfig(json);
    } 
}

//加密登录
function loginS() {
    var username = $("#txtUserName").val();
    var password = $("#txtPassword").val();

    if (username == "" || password == "") {
        alert2("请填写用户名和登录密码！");
        return false;
    }

    if (!isMobile(username)) {
        alert2("请填写正确的手机号码");
        return false;
    }
    var keys = auth(); 
    $.ajax({
        type: "POST",
        url: "http://app.106117.com/submit_ajax.ashx",
        dataType: "jsonp",
        data: {
            "txtUserName": $("#txtUserName").val(),
            "txtPassword": $("#txtPassword").val(),
            "action": "loginS",
            "timestamp": keys.timestamp,
            "secretValue": keys.secretValue
        },
        timeout: 20000,
        crossDomain: true,
        beforeSend: function (XMLHttpRequest) {
            $("#btnSubmit").attr("disabled", true);
            $("#btnSubmit").attr("value", "正在登录");
        },
        success: function (data, textStatus) {
            $("#btnSubmit").attr("disabled", false);
            $("#btnSubmit").attr("value", "登录");
            if (data.status == 1) {
                if (typeof (data.url) == "undefined") {
                    localStorage.username = username;
                    localStorage.password = password; //缓存密码,下次登录用
                    localStorage.token = data.token;
                    localStorage.money = data.amount;
                    localStorage.sign = decodeURI(data.sign);
                    localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                    localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                    localStorage.FirstOpen = 1; //首次打开
                    localStorage.rezheng = data.authState;
                    window.location.href = "ContactsGroup.html";
                } else {
                    location.href = data.url;
                }
            } else {
                alert2(data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "timeout") {
                alert2("登录超时，请检查网络是否连接");
            } else {
                alert2("登陆出错：" + errorThrown); //test
            }
            $("#btnSubmit").attr("disabled", false);
            $("#btnSubmit").attr("value", "登录");
        }
    });
}

//游客登录
function visitorLogin() {
    localStorage.token = "";
     localStorage.money = 0;
    localStorage.groupName = ""; //当前用户的分组名称
    localStorage.groupList = ""; //当前用户的分组列表
    localStorage.FirstOpen = 1; //首次打开
    location.href = 'ContactsGroup.html';
}


